- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisBranchStrategyRel Class Reference

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable. More...

`#include <BlisBranchStrategyRel.h>`

Inheritance diagram for BlisBranchStrategyRel:

[legend]
Collaboration diagram for BlisBranchStrategyRel:

[legend]
List of all members.

## Public Member Functions
| BlisBranchStrategyRel ()
| Default Constructor.
| BlisBranchStrategyRel (BlisModel *model, int rel)
| Useful Constructor.
virtual | ~BlisBranchStrategyRel ()
| Destructor.
| BlisBranchStrategyRel (const BlisBranchStrategyRel &)
| Copy constructor.
void | setRelibility (int rel)
| Set relibility.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
int | createCandBranchObjects (int numPassesLeft)
| Create a set of candidate branching objects.
| BlisBranchStrategyRel ()
| Default Constructor.
| BlisBranchStrategyRel (BlisModel *model, int rel)
| Useful Constructor.
virtual | ~BlisBranchStrategyRel ()
| Destructor.
| BlisBranchStrategyRel (const BlisBranchStrategyRel &)
| Copy constructor.
void | setRelibility (int rel)
| Set relibility.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
int | createCandBranchObjects (int numPassesLeft)
| Create a set of candidate branching objects.
## Private Member Functions
BlisBranchStrategyRel & | operator= (const BlisBranchStrategyRel &rhs)
| Illegal Assignment operator.
BlisBranchStrategyRel & | operator= (const BlisBranchStrategyRel &rhs)
| Illegal Assignment operator.
## Private Attributes
int | relibility_

## Detailed Description

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable.

This class implements reliability branching.

Definition at line 42 of file BlisBranchStrategyRel.h.

## Constructor & Destructor Documentation

BlisBranchStrategyRel::BlisBranchStrategyRel | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 53 of file BlisBranchStrategyRel.h.

Referenced by clone().

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | BlisModel * | model,
|  | int | rel |
| ) |  |  | `[inline]`

Useful Constructor.

Definition at line 56 of file BlisBranchStrategyRel.h.

virtual BlisBranchStrategyRel::~BlisBranchStrategyRel | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 63 of file BlisBranchStrategyRel.h.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | const BlisBranchStrategyRel & |  | ) |

Copy constructor.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 51 of file BlisBranchStrategyRel.h.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | BlisModel * | model,
|  | int | rel |
| ) |  |  | `[inline]`

Useful Constructor.

Definition at line 54 of file BlisBranchStrategyRel.h.

virtual BlisBranchStrategyRel::~BlisBranchStrategyRel | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 61 of file BlisBranchStrategyRel.h.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | const BlisBranchStrategyRel & |  | ) |

Copy constructor.

## Member Function Documentation

BlisBranchStrategyRel& BlisBranchStrategyRel::operator= | ( | const BlisBranchStrategyRel & | rhs | ) | `[private]`

Illegal Assignment operator.

void BlisBranchStrategyRel::setRelibility | ( | int | rel | ) | `[inline]`

Set relibility.

Definition at line 69 of file BlisBranchStrategyRel.h.

References relibility_.

virtual BcpsBranchStrategy* BlisBranchStrategyRel::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 72 of file BlisBranchStrategyRel.h.

References BlisBranchStrategyRel().

virtual int BlisBranchStrategyRel::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyRel::createCandBranchObjects | ( | int | numPassesLeft | ) | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

BlisBranchStrategyRel& BlisBranchStrategyRel::operator= | ( | const BlisBranchStrategyRel & | rhs | ) | `[private]`

Illegal Assignment operator.

void BlisBranchStrategyRel::setRelibility | ( | int | rel | ) | `[inline]`

Set relibility.

Definition at line 67 of file BlisBranchStrategyRel.h.

References relibility_.

virtual BcpsBranchStrategy* BlisBranchStrategyRel::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 70 of file BlisBranchStrategyRel.h.

References BlisBranchStrategyRel().

virtual int BlisBranchStrategyRel::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyRel::createCandBranchObjects | ( | int | numPassesLeft | ) | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

## Member Data Documentation

int BlisBranchStrategyRel::relibility_`[private]`

Definition at line 48 of file BlisBranchStrategyRel.h.

Referenced by setRelibility().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/Blis-0.91.2/Bcps/examples/Blis/BlisBranchStrategyRel.h
- /home/coin/SVN-release/Blis-0.91.2/Blis/src/BlisBranchStrategyRel.h